import the bug list
[wiki.git] / doc / LennyBugs
1
2 = The Bugs =
3
4 Coming soon, this list formatted better and with links to the bug pages.
5
6 {{{
7 507927  acpi-support    Fix suspend-resume in Thinkpad R50e (intel 855gm card)
8 507242  amule-daemon    amule-daemon: causes OOM's by leaking lots of memory
9 507883  asterisk        asterisk: Very frequent segfaults on startup
10 506961  auctex  auctex: reuses old logfile on emacsen upgrades, enabling symlink attack
11 496954  bind9   bind9: Fails to start due to SIGSEGV
12 501800  bind9   bind9: bind crashes with a list for allow-update
13 497471  cdimage.debian.org      sarge images have syslinux binaries without source
14 507706  cdimage.debian.org      Missing sources for d-i components/kernel of etch-n-half images
15 502751  clamav-getfiles clamav-getfiles: piuparts test fails: eicar.com md5sum mismatch, file needs downloading
16 507721  cryptsetup      cryptsetup: Sometimes initrd ends up missing conf/conf.d/cryptroot file in it
17 503532  dbus    send_requested_reply="true" allows all non-reply messages
18 504340  djvulibre-plugin        djvulibre-plugin: Iceweasel crashes when loading DjVu documents
19 481072  dk-filter       dk-filter reliably crashes upon connection from postfix
20 505929  egroupware      egroupware incompatible with php 5.2.6
21 504283  egroupware-core CVE-2007-3215: phpmailer issue (embedded code-copy)
22 456037  fenix   fenix: not 64 bit clean
23 504977  ffmpeg-debian   ffmpeg-debian: Several security issues
24 451628  ftp.debian.org  Packages might enter the archive from security without source
25 497823  ftp.debian.org  longstanding DFSG violations in linux-2.6 package
26 506152  ftp.debian.org  libept0 should have priority important
27 507675  ftp.debian.org  python2.5 should have priority standard
28 507678  ftp.debian.org  libsqlite3-0 should have priority standard
29 507775  ftp.debian.org  libkeyutils1 should have priority standard
30 507778  ftp.debian.org  libldap-2.4-2 should have priority standard
31 507779  ftp.debian.org  [Priorities] libustr-1.0-1 -> standard
32 507780  ftp.debian.org  python-sepolgen should have priority standard
33 507783  ftp.debian.org  libxml2 should have priority standard
34 507784  ftp.debian.org  python2.5-minimal should have priority standard
35 507796  ftp.debian.org  libisccfg40 should have priority standard
36 507797  ftp.debian.org  libisccc40 should have priority standard
37 507798  ftp.debian.org  libedit2 should have priority standard
38 507799  ftp.debian.org  libgssglue1 must have priority standard
39 507800  ftp.debian.org  ucf must have priority standard
40 507801  ftp.debian.org  libpci3 must have priority standard
41 503712  ghostscript     etch->lenny upgrade left the system in broken state
42 504747  gnu-fdisk       gnu-fdisk: wipes out MBR when used on GPT partitions
43 506684  guile-1.8-dev   guile-1.8: includes own definition of jmp_buf type in public header
44 507021  helpdeco        Fails to work on amd64
45 507558  hibernate       ignores "LockXLock yes" setting in /etc/hibernate/common.conf (e.g. does not lock the screen)
46 505563  icedove Mozilla Thunderbird Multiple Vulnerabilities
47 426465  initramfs-tools /init exports MODPROBE_OPTIONS=-qb
48 507059  initramfs-tools initramfs-tools: Wrong check for udevadm in functions
49 394963  installation-reports    installation: Problems with dual booting Dell D600 with winXP pro in the first partition (hd0, 0). After installing the Dell Etch Beta 3, Windows fails to boot and I get the blue screen of death.
50 418972  installation-reports    cdrom: Etch does not detect CD-ROM on Acer Aspire 7100
51 436140  installation-reports    cdrom: Most of the system's files have a future timestamp causing at least update/config problems.
52 494293  installation-reports    installation-reports: Grub error: not a regular file...
53 495603  installation-reports    grub-installer fails on a FSC Primergy RX300 with a level 5 RAID
54 501804  installation-reports    installation-reports: Lenny b2 install on ThinkPad X61 - fails to detect hard disk
55 507072  ipsec-tools     libipsec0 packaged in ipsec-tools without development headers
56 499078  jfsutils        jfsutils: Bus Error when running fsck.jfs on sparc
57 506853  libgnutls26     libgnutls26: 2.4.2-3 breaks OpenLDAP access
58 495178  libjs-jquery    libjs-jquery: Should compile jquery.min.js and jquery.pack.js from jquery.js
59 508133  libmad0 audacity: munmap_chunk(): invalid pointer: 0x00000000026f4eb0
60 490999  libqt3-mt       kicker: crashes on startup
61 504373  libtemplate-perl        libtemplate-perl: Upgrade from etch breaks code using DBI plugins
62 503907  libwebkit-1.0-1 epiphany-webkit: Crashes at startup whenever I go to a site.
63 506353  mailscanner     CVE-2008-5312/3: mailscanner might allow local users to overwrite arbitrary files via a symlink attack
64 496334  mdadm   mdadm segfault on --assemble --force with raid10
65 507889  mdadm   mdadm: initramfs-tools script is broken, system with root on RAID won't boot
66 507818  mldonkey-server mldonkey-server: mlnet does not start, logs syntax error in downloads.ini
67 507947  moodle  moodle: html2text.php is not DFSG-free
68 504918  network-manager Updating to lenny failed when NetworkManager got updated504626  nvidia-glx      [nvidia-glx] Quietly drops support for several chipsets
69 504661  nvidia-glx-legacy-96xx-dev      nvidia-glx-legacy-96xx-dev: /usr/lib/libGL.so symlink broken
70 507003  open-iscsi      initiatorname.iscsi should maybe not be in /etc
71 508351  open-iscsi      open-iscsi: will not install, looking for missing /sys/module/scsi_transport_iscsi/version file
72 507865  openoffice.org-writer   openoffice.org-writer: OOo 2.4.x openinig OOo 3 files doesn't show text (2.x implements standard wrong)
73 500460  oss-compat      oss-compat: modules are not loaded
74 475737  otrs2   otrs2 - makes files in /usr writable by non-root
75 502140  pam     cannot unlock screen during etch -> lenny transition
76 508026  phppgadmin      phpPgAdmin: Local File Inclusion Vulnerability
77 507915  povray  Povray unusable with non-ascii filenames
78 476525  python-hid      python-hid: hid module will not import since python policy transition
79 495232  quagga  quagga: zebra ignores routes added via command line
80 507071  racoon  racoon - Fails after upgrade: symbol lookup error: /usr/sbin/racoon: undefined symbol: libipsec_opt
81 332782  release-notes   release-notes: Where's the license?
82 475958  release-notes   document procedure to recover from "/dev/hda became /dev/sda" boot failure
83 506977  release.debian.org      FPC: copyright infringement in pre 2.2.2 sources507239  release.debian.org      RM: astrolog/stable -- RoQA; orphaned long time, non-free, contains potentially undistributable code
84 490171  rtorrent        rtorrent: random crash
85 506748  rtorrent        crash rtorrent by scgi-interface (function: 'fi.get_filename_last')
86 478717  ruby1.9 ruby1.9: FTBFS on hppa: make[1]: *** [all] Segmentation fault
87 507316  smarty  smarty: Non-free logo included in package
88 505237  snmpd   /etc/init.d/snmpd start reports error if already running
89 506057  splashy splashy: Splashy fails to install due to missing default theme
90 508194  sun-java5       sun-java5: New upstream release fixes several security issues
91 504524  sun-java6       AWT_TOOLKIT=MToolkit causes java to segfault on amd64
92 508265  sysprof-module-source   sysprof-module-source: doesn't compile on AMD64 arch (wrong register names)
93 506883  tuxguitar       tuxguitar: hard-codes dependencies on libraries
94 508091  tuxguitar       maintainer address bounces
95 508257  twiki   CVE-2008-5305: TWiki SEARCH variable allows arbitrary shell command execution
96 507996  uim-tcode       mazegaki conversion cannot be used
97 503303  upgrade-reports etch -> lenny minimal chrrot upgrade fails due to Conflicts/Pre-Depends loop
98 506741  wireshark       wireshark: DoS caused by sending a SMTP request with large content
99 323473  wnpp    ITA: mol-drivers-linux -- The Mac-on-Linux emulator - drivers for Linux
100 508322  wodim   wodim: Cannot load media.  Cannot init drive.
101 504771  wordpress       wordpress can be subject of delayed attacks via cookies
102 476210  xbat    xbat: game elements do not display properly
103 507576  xbattbar-acpi   missing dependency: libconfig
104 507165  xine-lib        xine-lib: CVE-2008-5242 heap-based buffer overflow
105 507184  xine-lib        xine-lib: CVE-2008-5246 heap overflow
106 508313  xine-lib        xine-lib: CVE-2008-5234 heap overflow in atom parsing
107 374644  xine-ui xine-ui: ctrl/shift key press emulation implementation broken
108 506652  xml2rfc Yet another boilerplate change
109 507944  xwhois  xwhois: segfaults on start in get_servers()
110 507579  yocto-reader    Package installation results in license violation
111 508124  yum     Yum crashes when setting-up a CentOS chroot OS
112 }}}
113 (list as of 2008-12-10 at 2240)